API ReferenceapicontentPOST /v1/testimonials

POST /v1/testimonials

Service: content · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "customerName": {
      "type": "string"
    },
    "quote": {
      "type": "string"
    },
    "brandId": {
      "type": "string"
    },
    "rating": {
      "type": "number",
      "minimum": 1,
      "maximum": 5
    },
    "customerTitle": {
      "type": "string"
    },
    "productReference": {
      "type": "string"
    },
    "featured": {
      "type": "boolean"
    },
    "status": {
      "type": "string",
      "enum": [
        "draft",
        "published",
        "archived"
      ]
    }
  },
  "required": [
    "customerName",
    "quote"
  ]
}

Responses

201 Created testimonial

{
  "type": "object",
  "properties": {
    "id": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "number"
        }
      ]
    },
    "customerName": {
      "type": "string"
    },
    "brandId": {
      "type": "string"
    },
    "quote": {
      "type": "string"
    },
    "rating": {
      "type": [
        "number",
        "null"
      ]
    },
    "featured": {
      "type": "boolean"
    },
    "status": {
      "type": "string"
    },
    "createdAt": {
      "type": "string"
    },
    "updatedAt": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "customerName",
    "brandId",
    "quote",
    "status",
    "createdAt",
    "updatedAt"
  ]
}

Example

curl -X POST https://content.platform.loop.health/v1/testimonials \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'